开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110672 (New): 【MK】【003】【stability】【TC-RID: 1200-0800307】系统稳定性

开发 Dev # 117826 (New): 【MK】【003】【stability】【TC-RID: 1200-0800307】异常恢复机制

【MK】【003】【stability】【TC-RID: 1200-0800307】使用过程中黑屏的恢复策略
2023-05-08 21:58 - CD TPM-王祥林

Status: 完成 Closed Start date: 2023-05-08

Priority: Normal Due date:

Assignee: CD TPM-王祥林 % Done: 70%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

Display驱动对屏幕进行reset操作

History

#1 - 2023-05-11 09:59 - CD BSP-杜磊

- Status changed from New to 进行中 In Progress

正在咨询屏厂，如何检测屏厂异常导致的黑屏，以及恢复的方法是什么

#2 - 2023-05-11 19:50 - CD BSP-杜磊

- % Done changed from 0 to 10

厂商暂未回复

另外，VC1的屏分为好几个批次，之前老的屏是无法获取屏端状态的，若做恢复则屏端会反复两灭。

#3 - 2023-05-16 09:42 - CD BSP-杜磊

- File 截图.png added

- % Done changed from 10 to 70

厂商回复如附件。

屏端是客户开发的，内部的实现机制TC不清楚恢复方法是什么，如果要做异常恢复需要去推动客户联系厂商解决，而不是TC负责的主机端去解决。

#4 - 2023-05-17 10:11 - CD BSP-杜磊

- File 微信截图_1.png added

- File 微信截图_2.png added

有联系厂商和客户确认恢复机制，厂商最新回复如截图所示。

注： 

客户： 高平平
厂商： 罗号 闫海双

#5 - 2023-05-17 10:15 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD TPM-王祥林

祥林，

屏端内部若发生异常，主机端无法判断屏端是否为异常，已经如何恢复，屏端开发属于厂商和客户自主开发，TC不了解屏端实现机制和原理，无法进行

异常处理。

此问题有反馈给客户和厂商，其回复如附件截图所示。

#6 - 2023-05-17 19:11 - CD TPM-王祥林

- Status changed from 进行中 In Progress to 完成 Closed

屏幕端异常，控制器无法恢复。后续如果出现此类bug后交给屏厂处理。
